Summary: GNOME User Documentation
Name: gnome-user-docs
Version: 2.16.0
Release: %mkrel 1
License: FDL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Group: Books/Other
Url: http://www.gnome.org/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scrollkeeper pkgconfig
BuildRequires: gnome-doc-utils >= 0.5.6 libxslt-proc
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Obsoletes: gnome-users-guide
Provides: gnome-users-guide

%description
This package contains the GNOME Glossary, Introduction to GNOME, and a Unix
Primer.

%prep
%setup -q

%build
%configure2_5x
# parallel compilation is broken
make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name
rm -rf %buildroot/var/lib/scrollkeeper
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean 
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README ChangeLog NEWS
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%changelog
* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- New release 2.15.1

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-4mdk
- fix buildrequires

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-3mdk
- fix buildrequires

* Wed Apr 19 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- add missing buildrequires

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-2mdk
- use mkrel
- fix prereq

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0 (with Gtz help)
- fix installation
- add NEWS

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Add lang tag to OMF files

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.6-1mdk
- Release 2.0.6

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Add yelp cache generation

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch0 (merged upstream)

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Patch0 (CVS): fix XML
 
* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.93-1mdk
- Release 1.93

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91-2mdk
- Remove superfluous omf files. Speed up scrollkeeper update

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91-1mdk
- Release 1.91 (GNOME2)

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-2mdk
- add lang macro (thanks to Gtz Waschk)

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-1mdk
- Release 1.4.1.1

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99-1mdk
- First Mandrake release

* Mon Nov 27 2000 Kenny Graunke <kwg@teleport.com>
- Initial cut

